import { PublicKey } from '@solana/web3.js';
import { CypherClient } from '../client';
import type { CreateClearingArgs, ClearingState } from '../types';
export declare class Clearing {
    readonly address: PublicKey;
    readonly state: ClearingState;
    constructor(address: PublicKey, state: ClearingState);
    static createPublicClearing(client: CypherClient, authority: PublicKey, args: CreateClearingArgs): Promise<{
        clearing: PublicKey;
        ixs: import("@solana/web3.js").TransactionInstruction[];
        signers: any[];
    }>;
    static createPrivateClearing(client: CypherClient, authority: PublicKey, args: CreateClearingArgs): Promise<{
        privateClearing: PublicKey;
        ixs: import("@solana/web3.js").TransactionInstruction[];
        signers: any[];
    }>;
    static load(client: CypherClient, address: PublicKey): Promise<Clearing>;
}
