import { PublicKey } from '@solana/web3.js';
import { Market } from '@project-serum/serum';
import { CypherClient } from '../client';
import type { PoolNodeState, StateUpdateHandler } from '../types';
import { I80F48 } from '@blockworks-foundation/mango-client';
export declare class PoolNode {
    readonly client: CypherClient;
    readonly address: PublicKey;
    state: PoolNodeState;
    readonly market: Market;
    private _onStateUpdate?;
    constructor(client: CypherClient, address: PublicKey, state: PoolNodeState, market: Market, _onStateUpdate?: StateUpdateHandler<PoolNodeState>);
    static load(client: CypherClient, address: PublicKey, onStateUpdateHandler?: StateUpdateHandler<PoolNodeState>): Promise<PoolNode>;
    static loadAll(client: CypherClient): Promise<PoolNode[]>;
    get deposits(): I80F48;
    get borrows(): I80F48;
    subscribe(): void;
    unsubscribe(): Promise<void>;
}
