export type Faucet = {
    "version": "1.0.0";
    "name": "faucet";
    "instructions": [
        {
            "name": "initFaucet";
            "accounts": [
                {
                    "name": "faucet";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "mint";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "mintAuthority";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "payer";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "systemProgram";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [
                {
                    "name": "mintAuthorityBump";
                    "type": "u8";
                }
            ];
        },
        {
            "name": "request";
            "accounts": [
                {
                    "name": "faucet";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "mint";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "target";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "mintAuthority";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "tokenProgram";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [];
        }
    ];
    "accounts": [
        {
            "name": "faucet";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "mint";
                        "type": "publicKey";
                    },
                    {
                        "name": "mintAuthorityBump";
                        "type": "u8";
                    }
                ];
            };
        }
    ];
    "errors": [
        {
            "code": 6000;
            "name": "InvalidFaucetAmount";
            "msg": "invalid faucet amount.";
        }
    ];
};
export declare const IDL: Faucet;
